x=-2:.1:2;
y=-2:.1:2;
[X,Y]=meshgrid(x,y);
matrix=X.*exp(-X.^2-Y.^2);

eopen('demo5.eps');
eglobpar;
eXAxisSouthLabelText='x - Axis';
eYAxisWestLabelText='y - Axis';
eYAxisWestLabelText='y - Axis';
eImageLegendLabelText='z - Color Legend';
eContourValueVisible=1;

etext('Contour Plot',eWinWidth/2,eWinHeight-20,8,0,1);
eaxes([-2 0 2],[-2 0 2]);
eimagesc(matrix,ecolors(3));
econtour(matrix,[-0.5 0.05 0.5],0,[1 1 1;0 0 0;0 0 0]);

eclose
eview
